![CHIPKIT logo](chipkit_logo.png)

# CHIPKIT: An agile, reusable open-source framework for rapid test chip development

## Overview

This project provides key hardware IP and tools to enable rapid research test chip development.


#### Companion IEEE Micro Paper [\[IEEEXplore\]](https://ieeexplore.ieee.org/document/9096507), [\[Arxiv\]](https://arxiv.org/abs/2001.04504) 

#### Tutorial Material [\[CHIPKIT @ISCA'20\]](https://www.iscaconf.org/isca2020/program/workshops.html#chipkit), [\[CHIPKIT @MICRO'19\]](https://www.microarch.org/micro52/program/workshops.html#chipkit), [\[Tutorial Website\]](https://mrc-donato.github.io/CHIPKIT-Tutorial/)


## BibTeX

If you find this project useful for your research, please use the following bibtex to cite us,

```
@ARTICLE{chipkit_micro2020,
  author={P. {Whatmough} and M. {Donato} and G. {Ko} and S. K. {Lee} and D. {Brooks} and G. {Wei}},
  journal={IEEE Micro}, 
  title={CHIPKIT: An agile, reusable open-source framework for rapid test chip development}, 
  year={2020},
  volume={},
  number={},
  pages={1-1},}
```


## Contributing

Please send a [pull request](https://help.github.com/articles/creating-a-pull-request/).

## Authors

The material in this project was developed at the [VLSI and Architecture group](https://vlsiarch.eecs.harvard.edu/) at Harvard University to support many generations of research test chips.

[Paul Whatmough](https://www.linkedin.com/in/paul-whatmough-2062729/), Arm Research, Boston, MA

Sae-Kyu Lee, IBM Research

Hyunkwang Lee, Harvard University, Boston, MA

## License

This project is licensed under the MIT License - see the LICENSE file for details.
